<template>
  <div
    class="productLeft"
    :style="{
      background: ` url(${pic})`,
      backgroundSize: '100% 100%',
      backgroundRepeat: 'no-repeat',
    }"
  >
    <div class="inner">
      <div class="title">
        {{ data.name }}
      </div>
      <div class="des">
        {{ data.desc }}
      </div>
      <div class="button">
        <router-link to="/product">查看全部</router-link>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    data: {
      type: Object,
    },
  },
  created() {
    var reg = /^[0-9]/;
    if (reg.test(this.data.pic)) {
      this.pic = "/httpImage/" + this.data.pic;
    } else {
      this.pic = this.data.pic;
    }
  },
  data() {
    return {
      pic: "",
    };
  },
};
</script>

<style lang="scss" scoped>
.productLeft {
  position: relative;
  width: 302px;
  height: 100%;

  .inner {
    position: absolute;
    top: 40px;
    left: 20px;

    .title {
      margin-bottom: 10px;
      font-size: 24px;
      font-weight: 700;
    }

    .des {
      margin-bottom: 20px;
      width: 252px;
      color: #666666;
      font-size: 14px;
    }

    .button {
      cursor: pointer;
      width: 120px;
      height: 32px;
      line-height: 32px;
      font-size: 14px;
      color: #666666;
      text-align: center;
      border: 1px solid #666666;
      font-weight: 700;
    }
  }
}
</style>